<template>
	<view class="content">
		<view class="homemain">
			<img class="coverlogo" src="https://ikea-mrm.woaap.com/images/logo.png" />
			<img class="homebg" src="https://ikea-mrm.woaap.com/images/cover/choosebg.png" />
			<img class="title" src="https://ikea-mrm.woaap.com/images/cover/title.png" />
			<view class="swiperbox">
				<swiper class="swiper" circular="true" :current="current" @change="change">
					<swiper-item>
						<view class="swiper-item bg1">
							<img class="ikea" src="https://ikea-mrm.woaap.com/images/cover/ikea.png" />
							<view class="box"></view>
						</view>
					</swiper-item>
					<swiper-item>
						<view class="swiper-item bg2"><img class="ikea" src="https://ikea-mrm.woaap.com/images/cover/ikea2.png" /></view>
					</swiper-item>
				</swiper>
				<img @click="previous" class="arrow left" src="https://ikea-mrm.woaap.com/images/cover/left.png" />
				<img @click="next" class="arrow right" src="https://ikea-mrm.woaap.com/images/cover/right.png" />
			</view>
			<view class="dots">
				<view class="dot" :class="{ dotact: current == 0 }"></view>
				<view class="dot" :class="{ dotact: current == 1 }"></view>
			</view>
			<img @click="goChoose" class="gochoose" src="https://ikea-mrm.woaap.com/images/cover/choosebtn.png" />
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			current: 0
		};
	},
	onShareAppMessage: function(res) {
		return {
			title: '定制宜家风 赢限量好礼',
			path: 'pages/cover/home',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_cover.jpeg'
		};
	},
	mounted() {},
	onShow() {
		getApp().td_app_sdk.event({
			id: '/cover/choose',
			label: 'pv',
			params: {}
		});
	},
	methods: {
		goChoose() {
			getApp().td_app_sdk.event({
				id: '开始定制',
				label: 'click'
			});
			uni.setStorageSync('choose', this.current);
			uni.navigateTo({
				url: `/pages/cover/upload`
			});
		},
		change(e) {
			this.current = e.detail.current;
		},
		previous() {
			this.current--;
			if (this.current < 0) this.current = 1;
		},
		next() {
			this.current++;
			if (this.current > 1) this.current = 0;
		}
	}
};
</script>

<style lang="less" scoped>
.dotact {
	background: #0c59a0 !important ;
}
.content {
	width: 100vw;
	height: 100vh;
	position: relative;
	background: #ffffff;
	position: relative;
	overflow: hidden;
}
.homemain {
	width: 750rpx;
	height: 1624rpx;
	position: absolute;
	top: -150rpx;
	.homebg {
		width: 750rpx;
		height: 1624rpx;
		position: absolute;
		top: 0;
	}
	.title {
		width: 464rpx;
		height: 47rpx;
		position: absolute;
		top: 290rpx;
		left: 50%;
		transform: translate(-50%, 0);
	}
	.gochoose {
		position: absolute;
		width: 328rpx;
		height: 102rpx;
		left: 50%;
		top: 1225rpx;
		transform: translate(-50%, 0);
	}
}

.swiperbox {
	width: 100vw;
	height: 700rpx;
	margin-top: 385rpx;
	position: relative;
	.arrow {
		width: 45rpx;
		height: 78rpx;
		position: absolute;
		top: 270rpx;
		z-index: 999;
	}
	.left {
		left: 30rpx;
	}
	.right {
		right: 30rpx;
	}
	.swiper {
		width: 100%;
		height: 100%;
		position: relative;
		.bg1 {
			background: #ffffff;
			position: relative;
			.box {
				width: 472rpx;
				height: 502rpx;
				background: #c7c7c7;
				border: 3rpx solid #080002;
				position: absolute;
				left: 50%;
				transform: translate(-50%, 0);
				bottom: 35rpx;
			}
		}
		.bg2 {
			background: #c7c7c7;
		}
		.swiper-item {
			margin: 0 auto;
			position: relative;
			width: 545rpx;
			height: 685rpx;
			border: 3rpx solid #080002;
			text-align: center;
			.ikea {
				width: 470rpx;
				height: 91rpx;
				margin-top: 25rpx;
			}
		}
	}
}
.dots {
	width: 50rpx;
	height: 20rpx;
	display: flex;
	justify-content: space-between;
	align-items: center;
	position: absolute;
	top: 1100rpx;
	left: 50%;
	transform: translate(-50%, 0);
	.dot {
		width: 15rpx;
		height: 15rpx;
		border-radius: 50%;
		background: #ffffff;
	}
}
</style>
